/*
 * Class TABLE [INTEGER_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_765 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_765 [] = {0xFF01,237,764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_765 [] = {0xFF01,764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_765 [] = {0xFF01,764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_765 [] = {0xFF01,764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_765 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_765 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_765 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_765 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_765 [] = {764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_765 [] = {0xFF01,764,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_765 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_765 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_765 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_765 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_765 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_765[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_765), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_765), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_765), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_765), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_765), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_765), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_765), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_765), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_765), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_765), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_765), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_765), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_765), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_765), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_765), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_765), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_765), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_765), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_765), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init765(void)
{
	IDSC(desc_765, 0, 764);
	IDSC(desc_765 + 1, 1, 764);
	IDSC(desc_765 + 32, 77, 764);
	IDSC(desc_765 + 41, 282, 764);
	IDSC(desc_765 + 50, 187, 764);
	IDSC(desc_765 + 56, 229, 764);
}


#ifdef __cplusplus
}
#endif
